<template>
  <div class="f-column">
    <h1 class="f-title">
      Patient Classification
    </h1>
    <div class="f-description">
      Classification of model <strong>{{ selectedModel }}</strong> over patient
      <strong>{{ patientName }}</strong> 
    </div>
    <div class="f-card">
      <patient-classification-result />
    </div>
    <div class="f-card">
      <patient-classification-attribute-graph />
    </div>
    <button class="f-button f-button--neutral" @click="showClassifiedPatients">
      Back
    </button>
  </div>
</template>

<script>
import { mapState, mapActions } from "vuex";

import patientClassificationResult from "@/components/PatientClassificationResult.vue";
import patientClassificationAttributeGraph from "@/components/PatientClassificationAttributeGraph.vue";

export default {
  components: {
    patientClassificationResult,
    patientClassificationAttributeGraph
  },
  data() {
    return {
      dataset: this.$route.query.export_id
    };
  },
  computed: {
    ...mapState(["classifications", "selectedModel", "selectedClassification"]),

    patientName() {
      return this.classifications[this.selectedClassification].name.replace(
        ".json",
        ""
      );
    }
  },
  methods: {
    ...mapActions(["showClassifiedPatients"])
  }
};
</script>
